#ifndef _VFS_H
#define _VFS_H

#include <types.h>

typedef int32_t FILE;

void vfs_init(void);

FILE create_file(char* filename, char type, char encryption, FILE parent);
int32_t delete_file(FILE file);

FILE open_file(char* filename);

FILE write_file(FILE file, void* data, size_t len);
int32_t read_file(FILE file, void* buf, size_t buflen);

int32_t reset_read_offset(FILE file);

#endif
